# $Revision: 1.54 $, $Date: 2010/11/12 23:38:15 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	String
%define		pnam	Approx
Summary:	String::Approx - Perl module for approximate matching (fuzzy matching)
Summary(pl.UTF-8):	String::Approx - moduł Perlado dopasowywania przybliżonego (rozmytego)
Name:		perl-String-Approx
Version:	3.26
Release:	5
License:	LGPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/String/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fc14d72986431025125d4970dd6b7f88
URL:		http://search.cpan.org/dist/String-Approx/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
String::Approx lets you match and substitute strings approximately.
With this you can emulate errors: typing errorrs, speling errors,
closely related vocabularies (colour color), genetic mutations (GAG
ACT), abbreviations (McScot, MacScot).

%description -l pl.UTF-8
String::Approx pozwala na przybliżone dopasowywanie i zastępowanie
łańcuchów. Przy jego użyciu można emulować błędy: literrówki, błendy
ortograficzne, bliskie sobie słowniki (colour/color), mutacje
genetyczne (GAG ACT), skróty (McScot, MacScot).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README README.apse
%{perl_vendorarch}/String/Approx.pm
%dir %{perl_vendorarch}/auto/String/Approx
%{perl_vendorarch}/auto/String/Approx/Approx.bs
%attr(755,root,root) %{perl_vendorarch}/auto/String/Approx/Approx.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-String-Approx.spec,v $
Revision 1.54  2010/11/12 23:38:15  pawelz
- release 5

Revision 1.53  2010/06/06 08:42:10  arekm
- release 4

Revision 1.52  2009/03/14 11:56:54  hawk
- release 3

Revision 1.51  2008/03/24 21:16:01  qboosh
- generic URL, informative summaries

Revision 1.50  2008-02-09 17:13:17  wolvverine
- rel.2

Revision 1.49  2008-01-10 08:38:41  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.48  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.47  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.46  2006/10/23 21:07:40  ankry
- ver. 3.26

Revision 1.45  2005/06/22 00:52:30  czucz
- updated to 3.25

Revision 1.44  2005/01/03 15:48:46  adamg
- updated to 3.24

Revision 1.43  2004/11/03 22:30:45  paladine
- formatting

Revision 1.42  2004/05/06 18:21:07  ankry
- fixed perl-devel BR

Revision 1.41  2004/05/01 00:33:10  ankry
- cosmetics

Revision 1.40  2004/02/18 16:27:02  qboosh
- s/no/nb/ in Summary langs

Revision 1.39  2003/12/07 19:33:08  migo
- up to 3.23
- fixed License

Revision 1.38  2003/10/21 12:40:38  migo
- up to 3.22
- new bcond style
- cosmetics

Revision 1.37  2003/09/18 13:21:21  adamg
- updated to 3.20

Revision 1.36  2003/09/09 10:24:49  ankry
- spaces -> tab

Revision 1.35  2003/08/18 08:09:15  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.34  2003/05/28 13:01:03  malekith
- massive attack: source-md5

Revision 1.33  2003/05/25 06:24:59  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.31  2003/03/01 20:46:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.30  2003/02/25 00:41:48  radek
- use the __perl macro

Revision 1.29  2003/02/18 15:38:22  ankry
- massive attack: change CPAN URLs

Revision 1.28  2002/09/27 13:15:13  ankry
- added tests on bcond, translations, new %%doc
- version 3.19, release 1

Revision 1.27  2002/07/10 08:48:44  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.26  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.25  2002/02/25 10:34:23  depesz
cleanup; revision++

Revision 1.24  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/02/13 14:20:12  depesz
automatic: Source location unfied, Relase Up

Revision 1.22  2002/02/10 15:34:49  depesz
adapterized

Revision 1.21  2002/01/18 02:14:31  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/11/27 16:48:44  mis
- autoupdated to 3.18

Revision 1.19  2001/08/20 09:29:21  mis
- autoupdated to 3.17

Revision 1.18  2001/06/29 16:29:29  mis
- autoupdated to 3.16

Revision 1.17  2001/04/30 16:05:28  kloczek
- added using %%{rpmcflags} macro.

Revision 1.16  2001/04/17 12:15:48  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.15  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.14  2001/02/20 16:00:46  mis
- updated (by autoup) to 3.15

Revision 1.13  2001/02/03 18:59:31  kloczek
- updated to 3.14.

Revision 1.12  2001/01/25 20:03:47  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.11  2001/01/23 20:51:18  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.10  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.9  2000/11/12 03:58:31  kloczek
- updated to 3.13,
- use new rpm automation.

Revision 1.8  2000/08/22 10:09:21  kloczek
- updated to 3.12.

Revision 1.7  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:28  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:59  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:35:32  pius
- updated to 3.09

Revision 1.2  1999/11/07 09:18:46  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:47  pius
- initial release
